package com.galaxis.manatee.service;

import com.galaxis.manatee.dao.ChuanyunUserCompanyDao;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.time.Instant;

/**
 * @author zcj
 * @version 0.1
 * @date 2021/3/11 3:30 上午
 */
@Slf4j
@Service
public class LogService {

    private final ChuanyunUserCompanyDao chuanyunUserCompanyDao;
    private final LogStandardService logStandardService;

    public LogService(ChuanyunUserCompanyDao chuanyunUserCompanyDao, LogStandardService logStandardService) {
        this.chuanyunUserCompanyDao = chuanyunUserCompanyDao;
        this.logStandardService = logStandardService;
    }

    /**
     * 标准化所有周工时信息
     */
    public void standardAllWeekMemberHour(){
        long start= Instant.now().getEpochSecond();
        chuanyunUserCompanyDao.findAll().forEach(chuanyunUserCompanyDO -> logStandardService.standardWeekMemberHourByUserId(chuanyunUserCompanyDO.getUserId()));
        log.info("标准化所有周工时耗时"+(Instant.now().getEpochSecond()-start)+"秒");
    }

    /**
     * 标准化所有月工时
     */
    public void standardAllSelfCost(){
        long start=Instant.now().getEpochSecond();
        chuanyunUserCompanyDao.findAll().forEach(chuanyunUserCompanyDO -> logStandardService.standardSelfCostByUserId(chuanyunUserCompanyDO.getUserId()));
        log.info("标准化所有月工时耗时"+(Instant.now().getEpochSecond()-start)+"秒");
    }
}
